Package org.apache.tomcat.websocket.server

## Class WsWriteTimeout

- java.lang.Object
- - org.apache.tomcat.websocket.server.WsWriteTimeout

All Implemented Interfaces:
  `BackgroundProcess`

    public class WsWriteTimeout
    extends java.lang.Object
    implements BackgroundProcess

Provides timeouts for asynchronous web socket writes. On the server side we only have access to `ServletOutputStream` and `ServletInputStream` so there is no way to set a timeout for writes to the client.

### Constructor Summary

Constructors
`WsWriteTimeout()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `backgroundProcess()`
`int` `getProcessPeriod()` The default value is 1 which means asynchronous write timeouts are processed every 1 second.
`void` `register​(WsRemoteEndpointImplServer endpoint)`
`void` `setProcessPeriod​(int period)`
`void` `unregister​(WsRemoteEndpointImplServer endpoint)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WsWriteTimeout

    public WsWriteTimeout()

### Method Detail

#### backgroundProcess

    public void backgroundProcess()

Specified by:
  `backgroundProcess` in interface `BackgroundProcess`

#### setProcessPeriod

    public void setProcessPeriod​(int period)

Specified by:
  `setProcessPeriod` in interface `BackgroundProcess`

#### getProcessPeriod

    public int getProcessPeriod()

The default value is 1 which means asynchronous write timeouts are processed every 1 second.

Specified by:
  `getProcessPeriod` in interface `BackgroundProcess`

#### register

    public void register​(WsRemoteEndpointImplServer endpoint)

#### unregister

    public void unregister​(WsRemoteEndpointImplServer endpoint)